#include<iostream>
#include<iomanip>
#include<vector>
using namespace std;
void fib(vector<int> &a,int n);
 int main()
{
 vector<int> a;//定义1个vector容器
 int n;
 cout<<"请输入数列的项数："<<endl;
 cin>>n;
 fib(a,n);
 for(int i=0;i<n;i++)
 {
  if(i%5==0)
   cout<<endl; 
  cout<<setw(6)<<a[i]; 
 }
 return(0); 
}
void fib(vector<int> &a,int n)
{
 //a.resize(n);
 for(int i=0;i<n;i++)
  if(i<2)
   //a[i]=1;
   a.push_back(1);
  else
   //a[i]=a[i-1]+a[i-2];
   a.push_back(a[i-1]+a[i-2]);
}
 
